# Generated by Django 4.0.2 on 2022-02-04 07:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Books',
            fields=[
                ('book_code', models.AutoField(primary_key=True, serialize=False)),
                ('genre', models.CharField(max_length=100)),
                ('quantity', models.IntegerField()),
                ('book_name', models.CharField(max_length=100)),
                ('authors', models.CharField(max_length=100)),
                ('ratings', models.FloatField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Students',
            fields=[
                ('student_id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=100)),
                ('password', models.CharField(max_length=100)),
                ('phn_number', models.IntegerField()),
                ('address', models.CharField(max_length=100)),
                ('faculty', models.CharField(max_length=100)),
                ('semester', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='StudentsLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('issue_date', models.DateField()),
                ('expiry_date', models.DateField()),
                ('no_of_days', models.CharField(max_length=100)),
                ('fine', models.CharField(default='0', max_length=100)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='application.books')),
                ('student', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='application.students')),
            ],
        ),
        migrations.AddField(
            model_name='books',
            name='students',
            field=models.ManyToManyField(through='application.StudentsLog', to='application.Students'),
        ),
    ]
